## org.eclipse.datatools.connectivity.ui.status
Class DatatoolsStatusListener

    java.lang.Object
      org.eclipse.core.runtime.jobs.JobChangeAdapter
          org.eclipse.datatools.connectivity.ui.status.DatatoolsStatusListener

All Implemented Interfaces:
  org.eclipse.core.runtime.jobs.IJobChangeListener

    public class DatatoolsStatusListener

extends org.eclipse.core.runtime.jobs.JobChangeAdapter

A `IJobChangeListener` to handle `DatatoolsStatus`

Constructor Summary
`DatatoolsStatusListener(IConnectionProfile profile)`

Method Summary
`void` `done(org.eclipse.core.runtime.jobs.IJobChangeEvent event)`

Methods inherited from class org.eclipse.core.runtime.jobs.JobChangeAdapter
`aboutToRun, awake, running, scheduled, sleeping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatatoolsStatusListener

    public DatatoolsStatusListener(IConnectionProfile profile)

Method Detail

### done

    public void done(org.eclipse.core.runtime.jobs.IJobChangeEvent event)

  Specified by:
    `done` in interface `org.eclipse.core.runtime.jobs.IJobChangeListener`
  Overrides:
    `done` in class `org.eclipse.core.runtime.jobs.JobChangeAdapter`